Name:           belle-sip
Version:        1.4.0
Release:        1%{?dist}
Summary:        Linphone SIP stack
License:        GPLv2+ and BSD and BSD with advertising and MIT
URL:            http://www.linphone.org/
Source0:        http://www.linphone.org/releases/sources/belle-sip/%{name}-%{version}.tar.gz
Source1:        https://github.com/antlr/website-antlr3/blob/gh-pages/download/antlr-3.4-complete.jar
#BuildRequires:  antlr3-tool
BuildRequires:  java-headless
BuildRequires:  antlr3-C-devel
BuildRequires:  polarssl-devel
BuildRequires:  libtool
# The version is used from src/md5.c line:
# /* $Id: md5.c,v 1.6 2002/04/13 19:20:28 lpd Exp $ */
Provides: bundled(md5-deutsch) = 1.6

%description
Belle-sip is an object oriented C written SIP stack used by Linphone.

%package devel
Summary:       Development libraries for belle-sip
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description    devel
Libraries and headers required to develop software with belle-sip.

%prep
%setup -q

cp %{SOURCE1} %{_sourcedir}/antlr3.jar

sed -i "s|antlr_java_prefixes=.*|antlr_java_prefixes=%{_sourcedir}|" configure.ac
sed -i 's|_BSD_SOURCE|_DEFAULT_SOURCE|g' src/dns.c

autoreconf -ifv


%build
%configure --disable-tests --disable-silent-rules --disable-static
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -delete


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc README
%{_libdir}/libbellesip.so.0*

%files devel
%{_includedir}/belle-sip
%{_libdir}/libbellesip.so
%{_libdir}/pkgconfig/belle-sip.pc

%changelog
* Sun Feb 15 2015 Alexey Kurov <nucleo@fedoraproject.org> - 1.4.0-1
- belle-sip-1.4.0
- update Source0 URL
- use %%license macro

* Sun Feb 15 2015 Alexey Kurov <nucleo@fedoraproject.org> - 1.3.3-1
- belle-sip-1.3.3
- added atlr3 3.4 SOURCE1
- License: GPLv2+ and BSD and BSD with advertising and MIT
- Provides: bundled(md5-deutsch) = 1.6

* Fri Feb 21 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.3.0-1
- belle-sip-1.3.0
- revert fix FSF address in COPYING

* Sat Jan 18 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.4-3
- License: GPLv2+
- fix FSF address in COPYING

* Sun Jan 12 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.4-2
- add %%{?_isa} in -devel Requires
- add verbose option to autoreconf
- verbose build output

* Thu Jan  9 2014 Alexey Kurov <nucleo@fedoraproject.org> - 1.2.4-1
- Initial RPM release
